Package com.verisign.epp.codec.registry

## Class EPPRegistryInfoCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPInfoCmd
    - - com.verisign.epp.codec.registry.EPPRegistryInfoCmd

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPRegistryInfoCmd
      extends EPPInfoCmd

  Represents an EPP Registry <info> command that is used to retrieve information associated with a registry. The <registry:info> element MUST contain one of the following child elements:
  - A <registry:name> element that contains the fully qualified zone object name for which information is requested. Use `getName` and `setName` to get and set the element.
  - A <registry:all> empty element that specifies whether or not to query a list of all supported zone objects by the server. Use `isAll` and `setAll` to get and set the element.
  A valid `EPPRegistryInfoCmd` must contains one and only one of the above elements.
  `EPPRegistryInfoResp` is the concrete `EPPReponse` associated with `EPPRegistryInfoResp`.
  See Also:
    `EPPRegistryInfoResp`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRegistryInfoCmd()` | `EPPRegistryInfoCmd` default constructor.
    `EPPRegistryInfoCmd​(java.lang.String aTransId, boolean all)` | `EPPRegistryInfoCmd` constructor that tries to query a list of all supported zone objects from the server.
    `EPPRegistryInfoCmd​(java.lang.String aTransId, java.lang.String aName)` | `EPPRegistryInfoCmd` constructor that takes the qualified zone object name as an argument.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPRegistryInfoCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPRegistryInfoCmd` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPRegistryInfoCmd` with this instance.
    `java.lang.String` | `getKey()` | Gets the key for the registry object, which is the registry zone name.
    `java.lang.String` | `getName()` | Get the name of zone object to get information on.
    `java.lang.String` | `getNamespace()` | Gets the EPP namespace associated with the `EPPCommand`.
    `boolean` | `isAll()` | Get the flag to query all supported zone objects.
    `void` | `setAll​(boolean all)` | Set the flag to query all supported zone objects.
    `void` | `setName​(java.lang.String name)` | Set the name of zone object to get information on.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPInfoCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, clone, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasKey, hasTransId, setExtension, setExtensions, setTransId, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRegistryInfoCmd

          public EPPRegistryInfoCmd()

      `EPPRegistryInfoCmd` default constructor. The `all` is set to `false` and the `name` is set to `null`. Either `all` or `name` must be set before invoking `encode`.

    - #### EPPRegistryInfoCmd

          public EPPRegistryInfoCmd​(java.lang.String aTransId,
                                    java.lang.String aName)

      `EPPRegistryInfoCmd` constructor that takes the qualified zone object name as an argument. Attribute `all` is set to `false` .
      Parameters:
        `aTransId` - transaction Id associated with command
        `aName` - fully qualified zone object name to get information on

    - #### EPPRegistryInfoCmd

          public EPPRegistryInfoCmd​(java.lang.String aTransId,
                                    boolean all)

      `EPPRegistryInfoCmd` constructor that tries to query a list of all supported zone objects from the server. Attribute `name` is set to `nulL`.
      Parameters:
        `aTransId` - transaction Id associated with command
        `all` - fully qualified zone object name to get information on

  - ### Method Detail

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryInfoCmd` instance.
      Specified by:
        `doEncode` in class `EPPInfoCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPRegistryInfoCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPRegistryInfoCmd` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPRegistryInfoCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPInfoCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryInfoCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### getNamespace

          public java.lang.String getNamespace()

      Description copied from class: `EPPCommand`
      Gets the EPP namespace associated with the `EPPCommand`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        Namespace URI associated with the `EPPCommand`.

    - #### getKey

          public java.lang.String getKey()

      Gets the key for the registry object, which is the registry zone name.
      Overrides:
        `getKey` in class `EPPCommand`
      Returns:
        The zone name if set; `null` otherwise.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPRegistryInfoCmd` with this instance.
      Overrides:
        `equals` in class `EPPInfoCmd`
      Parameters:
        `aObject` - Object to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### getName

          public java.lang.String getName()

      Get the name of zone object to get information on.
      Returns:
        fully qualified zone object name

    - #### setName

          public void setName​(java.lang.String name)

      Set the name of zone object to get information on. If `name` is `null`, `all` must be true; and vice versa.
      Parameters:
        `name` - fully qualified zone object name

    - #### isAll

          public boolean isAll()

      Get the flag to query all supported zone objects.
      Returns:
        `true` if client intends to query a list of all supported zone object (`name` must be set to `null`). `false` if client intends to query detailed info of one zone object. ( `name` must be non-blank)

    - #### setAll

          public void setAll​(boolean all)

      Set the flag to query all supported zone objects.
      Parameters:
        `all` - `true` if client intends to query a list of all supported zone object (`name` must be set to `null`). `false` if client intends to query detailed info of one zone object. (`name` must be non-blank)